<!DOCTYPE html>
<html lagn="ko" xmlns:th="http://www.thymeleaf.org">

<th:block th:fragment="layout_header_type1">
	<!--상단네비-->
	<header class="header_section" id="headerSection">
		<ul>
			<li class="app_name">MADE U MEMBERSHIP</li>
			<li id="pushCheck"><button class="notify_btn" onClick="location.href='/mobilepush/selectListPushIntro.do'"><img src="/image/mobile/notify.svg" alt="알림"/></button></li>
			<!-- new : 알림 있는 경우 넣어주기  ->  아이콘 옆에 빨간표시 때문 -->
		</ul>
	</header>

<script>
	$(function(){

		// 상단 예약 알림 조회
		fn_selectReservationHeader();

		// 푸시 알림 갯수 체크
		fn_selectPushCountCheck()
	});

	/****************************************************************************
	 * 상단 알림 조회
	 ****************************************************************************/
	function fn_selectReservationHeader(){

		let formData = new FormData();

		$.ajax({
			url: encodeURI('/mobilereservation/selectReservationHeader.do'),
			data: formData,
			dataType: "json",
			processData: false,
			contentType: false,
			type: 'POST',
			async: false,
				success: function(data){
					if('0'==data.msgCode) {
						if(0<data.rows.length){
							let listHTML = '';
							listHTML += '<div class="notify_box open" onclick="fn_reservationIntro(\'Y\')">';
							listHTML += '    <div class="img_box">';
							listHTML += '        <img src="/image/mobile/notify_soft.svg" alt="알림"/>';
							listHTML += '    </div>';
							listHTML += '    <ul>';
							listHTML += '        <li><p class="notify_title">예약 알림</p></li>';
							listHTML += '        <li><p class="notify_content">'+data.rows[0].reserveDate+' 진료 예약이 완료되었습니다.</p></li>';
							listHTML += '    </ul>';
							listHTML += '</div>';

							$("#headerSection").append(listHTML);
						}
					}else if(data.msgCode == '-1'){
						modalEvent.warning("조회 오류", data.msgDesc);
					}else{
						modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
					}
				},
			error: function (xhr, status, error) {
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			},
			beforeSend:function(){

			},
			complete:function(){

			}
		});
	}

	/****************************************************************************
	 * 예약 리스트 이동
	 ****************************************************************************/
	function fn_reservationIntro(param){

		location.href = "/reservation?userCheckYn="+param;
	}

	/****************************************************************************
	 * 푸시 알림 갯수 체크
	 ****************************************************************************/
	function fn_selectPushCountCheck(){

		let formData = new FormData();

		$.ajax({
			url: encodeURI('/mobilepush/selectPushCountCheck.do'),
			data: formData,
			dataType: "json",
			processData: false,
			contentType: false,
			type: 'POST',
			async: false,
				success: function(data){
					if('0'==data.msgCode) {
						if("Y" == data.rows[0].checkYn){
							$("#pushCheck").addClass("new");
						}
					}else if(data.msgCode == '-1'){
						modalEvent.warning("조회 오류", data.msgDesc);
					}else{
						modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
					}
				},
			error: function (xhr, status, error) {
				modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
			},
			beforeSend:function(){

			},
			complete:function(){

			}
		});
	}
	</script>
</th:block>
</html>
